#ifndef XFXSPAWNDEF_H
#define XFXSPAWNDEF_H

#include "xasset.h"
#include "xfxspawndeflooping.h"
#include "xfxspawndefoneshot.h"

class XFxSpawnDef : public XAsset
{
public:
    explicit XFxSpawnDef();
    ~XFxSpawnDef();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    XFxSpawnDefLooping mLooping;
    XFxSpawnDefOneShot mOneShot;
};

#endif // XFXSPAWNDEF_H
